#
# spec file for package dbus-1-glib (Version 0.74)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs dbus-1 dbus-1-devel dbus-1-x11 diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale grep groff gtk-doc gzip info insserv iso_ent less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libexpat-devel libexpat1 libgcc42 libgcrypt libgomp42 libgpg-error libltdl-3 libmudflap42 libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libxml2 libxml2-devel libxslt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openjade opensp pam pam-modules patch pcre pcre-devel perl perl-base permissions pkg-config popt post-build-checks rpm sed sgml-skel sysvinit tar texinfo timezone util-linux xorg-x11-libICE xorg-x11-libSM xorg-x11-libX11 xorg-x11-libXau xorg-x11-libxcb zlib zlib-devel


Name:           dbus-1-glib
BuildRequires:  dbus-1 dbus-1-devel dbus-1-x11 glib2-devel gtk-doc libexpat-devel libxml2-devel
Url:            http://dbus.freedesktop.org/
License:        GPL v2 or later; Other uncritical OpenSource License
Group:          Development/Libraries/Other
Version:        0.74
Release:        25.2
AutoReqProv:    on
Summary:        GLib-based library for using D-Bus
Source0:        dbus-glib-%{version}.tar.gz
Patch0:         dbus-glib-nameownerchange-workaround-thoenig-01.patch
Patch1:         dbus-glib-gvalue-utils-fix-thoenig-01.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       dbus-1 >= %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1`)
%debug_package

%package -n dbus-1-glib-devel
License:        Other uncritical OpenSource License
Summary:        Developer package for D-Bus/GLib bindings
Requires:       dbus-1 >= %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1`)
Requires:       dbus-1-devel >= %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1-devel`)
Requires:       dbus-1-glib = %{version}
Requires:       glib2-devel
AutoReqProv:    on
Group:          Development/Libraries/Other

%package -n dbus-1-glib-doc
License:        GPL v2 or later; Other uncritical OpenSource License
Summary:        Documentation for the D-Bus/GLib bindings
Requires:       dbus-1 >= %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1`)
Requires:       dbus-1-devel >= %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1-devel`)
Requires:       dbus-1-glib = %{version}
AutoReqProv:    on
Group:          Documentation/HTML

%description
D-Bus add-on library to integrate the standard D-Bus library with the
GLib thread abstraction and main loop.



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>

%description -n dbus-1-glib-devel
D-Bus add-on library to integrate the standard D-Bus library with the
GLib thread abstraction and main loop.



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>

%description -n dbus-1-glib-doc
D-Bus add-on library to integrate the standard D-Bus library with the
GLib thread abstraction and main loop.



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>

%prep
%setup -n dbus-glib-%{version} -q
%patch0 -p0
%patch1 -p0

%build
autoreconf -fi
export CFLAGS="${RPM_OPT_FLAGS} -fstack-protector -fno-strict-aliasing -fPIC"
./configure								\
    --prefix=%{_prefix}							\
    --exec_prefix=%{_exec_prefix}					\
    --sysconfdir=%{_sysconfdir}						\
    --datadir=%{_datadir}						\
    --localstatedir=%{_localstatedir}					\
    --libdir=%{_libdir}							\
    --mandir=%{_mandir}
make

%install
make DESTDIR=%{buildroot} install

%post
%{run_ldconfig}

%postun
%{run_ldconfig}

%clean
%{__rm} -rf %{buildroot}

%files 
%defattr(-, root, root)
%{_libdir}/*glib*.so.*
%{_libdir}/*glib*.so

%files -n dbus-1-glib-devel
%defattr(-, root, root)
%{_bindir}/dbus-binding-tool
%{_includedir}/dbus-1.0/dbus/*
%{_libdir}/*glib*.a
%{_libdir}/*glib*.la
%{_libdir}/pkgconfig/dbus-glib-1.pc

%files -n dbus-1-glib-doc
%defattr(-, root, root)
%dir %{_datadir}/gtk-doc/html/dbus-glib/
%{_datadir}/gtk-doc/html/dbus-glib/*

%changelog
* Wed Jun 27 2007 - thoenig@suse.de
- Update to dbus-1-glib 0.74
- Changes:
  * Init threading first to stop a warning from new GLib.
  * Remove the XML documentation support in configure
  * Fix typo in _dbus_gvalue_signals_error
  * Update GLib requirement.
  * Document dbus-gtype-specialized
  * Add simple test suite for peer objects.
  * Support peer-to-peer proxies.
  * Add dbus_connection_get_g_connection.
  * Stop compiler warnings.
  * Handle dbus errors which are not name has no owner
  * Update abstract socket test from DBus, which now cross-compiles
  * Rename the error quark to be unique
  * Update AUTHORS
* Sat Apr 28 2007 - aj@suse.de
- Add libexpat-devel to build requires.
* Thu Mar 01 2007 - thoenig@suse.de
- new upstream version 0.73
- new package dbus-1-glib-doc
- drop patch dbus-glib-introspect-fix-thoenig-01.patch
* Mon Nov 06 2006 - thoenig@suse.de
- loosen dependency to D-Bus
* Tue Aug 01 2006 - thoenig@suse.de
- new upstream version 0.71
- new package: dbus-1-glib-devel
- moved dbus-binding-tool from dbus-1-glib to dbus-1-glib-devel
- moved GLib header and .la files from dbus-1-devel to
  dbus-1-glib-devel
* Tue Aug 01 2006 - thoenig@suse.de
- split out binings to sparate spec files
